package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFAV5 extends MwfRequest<MWFAV5, MWFAV5Response> {

    @Parameter(name = "Channel_ID")
    MWFAV5 channelID(String channelID);
    @Parameter(name = "Filtr_VariantaTyp")
    MWFAV5 filtrVariantaTyp(String filtrVariantaTyp);
    @Parameter(name = "TypExternihoTextu")
    MWFAV5 typExternihoTextu(String typExternihoTextu);
    @Parameter(name = "WPS_WFL_ID")
    MWFAV5 wpsWflId(String wpsWflId);
    @Parameter(name = "Zadost_KEY")
    MWFAV5 zadostKEY(Long zadostKEY);
    @Parameter(name = "ZiskatNazevPromoProgramu")
    MWFAV5 ziskatNazevPromoProgramu(String ziskatNazevPromoProgramu);
}
